# opalpluginmgr.h File Reference

`#include <ptlib/object.h>`
`#include <opal/buildopts.h>`
`#include <ptlib/pluginmgr.h>`
`#include <ptlib/pfactory.h>`
`#include <codec/opalplugin.h>`
`#include <opal/mediafmt.h>`
`#include <opal/transcoders.h>`
`#include <h323/h323caps.h>`
`#include <codec/vidcodec.h>`

Include dependency graph for opalpluginmgr.h:

Go to the source code of this file.

## Data Structures

class | H323StaticPluginCodec
class | OpalPluginCodecHandler
class | OpalPluginCodecManager
class | OpalPluginControl
class | OpalPluginMediaFormatInternal
class | OpalPluginMediaFormat
class | OpalPluginTranscoder
class | OpalPluginAudioFormatInternal
class | OpalPluginFramedAudioTranscoder
class | OpalPluginStreamedAudioTranscoder
class | OpalPluginVideoFormatInternal
class | OpalPluginVideoTranscoder
class | OpalPluginFaxFormatInternal
class | OpalFactoryCodec
class | OpalPluginTranscoderFactory< TranscoderClass >
class | OpalPluginTranscoderFactory< TranscoderClass >::Worker
class | H323PluginCapabilityInfo
class | H323AudioPluginCapability
class | H323PluginG7231Capability
class | H323CodecPluginNonStandardAudioCapability
class | H323CodecPluginGenericAudioCapability
class | H323CodecPluginNonStandardVideoCapability
class | H323CodecPluginGenericVideoCapability
class | H323H261Capability
class | H323H261PluginCapability
class | H323H263Capability
class | H323H263PluginCapability

## Typedefs

typedef PFactory< H323StaticPluginCodec > | H323StaticPluginCodecFactory

## Functions

| PFACTORY_LOAD (OpalPluginCodecManager)

## Typedef Documentation

typedef PFactory<H323StaticPluginCodec> H323StaticPluginCodecFactory

## Function Documentation

PFACTORY_LOAD | ( | OpalPluginCodecManager |  | ) |